/**
 *
 */

var sparql;
var template;

var history;

$(window).load(function() {
	
	$('#popup').hide();
	$('#popup_2').hide();

	
	sparql = new Sparql();
	
	template = new Template($('#find_div'));

	$('#find_query').click(function(){
		var index = $("select#select_title").val();
		if (index == undefined){
			index = 0;
		}
		find_query(template.makeQuery(template.template[index].query, index));
		
	});

	/*
	$('#find_exec').click(function(event){
		find();
	});

	$('#view_cond').click(function(event){
		view_condition();
	});

	$('#view_query').click(function(event){
		view_query();
	});

	$('#subject_div').hide();*/
	$('#result_div').hide();
/*
	$('#add_condition').click(function(event){
		sparql.addCondition();
	});

	$('#prev_btn').click(function(event){
		find_offset('prev');
	});

	$('#next_btn').click(function(event){
		find_offset('next');
	});
	
	$('#find_query').click(function(event){
		find_query($('#query_area').val());
	});


	$('#prev_offset').hide();
	$('#next_offset').hide();
*/
	
	init();

});

function find(){
	sparql.find();
}

function find_query(query){
	sparql.findByQuery(query);
}


function view_condition(){
	sparql.viewCondition();
}

function view_query(){
	sparql.getViewQuery();
}

function find_offset(value){
	sparql.find_offset(value);
}

